<div style="margin-bottom:15px;">
    <form name="searchForm" class="form-inline" [hidden]="(loginuser === 'MHD' || loginuser === 'ABR' || loginuser === 'AEN' || loginuser === 'ARW' || loginuser === 'DAW' || loginuser === 'EKS' || loginuser === 'HTB' ||
    loginuser === 'VER' || loginuser === 'RFL' || loginuser === 'NTO' || loginuser === 'MDR')" >
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert BPB Number SEARCH KASIE">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search10(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
        </div>
    </form>
    <form name="searchForm" class="form-inline" *ngIf="(loginuser === 'MHD' || loginuser === 'ABR' || loginuser === 'AEN' || loginuser === 'ARW' || loginuser === 'DAW' || loginuser === 'EKS' || loginuser === 'HTB' ||
    loginuser === 'VER' || loginuser === 'RFL' || loginuser === 'NTO' || loginuser === 'MDR')">
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert BPB Number SEARCH SPV">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search9(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
        </div>
    </form>
    <br>
    <p-dataTable
    *ngIf="(loginuser === 'MHD' || loginuser === 'ABR' || loginuser === 'AEN' || loginuser === 'ARW' || loginuser === 'DAW' || loginuser === 'EKS' || loginuser === 'HTB' ||
          loginuser === 'VER' || loginuser === 'RFL' || loginuser === 'NTO' || loginuser === 'MDR')"
    [value]="jobordersManager"
    [(selection)]="selected"
    [editable]="true"
    [rows]="itemsPerPage"
    [headerCheckboxToggleAllPages]="true"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="no_bpb"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)">
    <p-header>
        <div class="d-flex flex-row-reverse">
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2">
                            <div class="btn-filter-wrapper">
                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Approve</span>
                                </button>
                                &nbsp;
                                &nbsp;
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </p-header>
    <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="BPB Number">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_bpb}}
        </ng-template>
    </p-column>
    <p-column header="BPB Date">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.tgl_bpb | date:'dd/MM/yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Mutation Type">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.jns_mutasi}}
        </ng-template>
    </p-column>
    <p-column header="Receive">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.diterima}}
        </ng-template>
    </p-column>
    <p-column header="Production Type">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.jns_prod}}
        </ng-template>
    </p-column>
    <p-column header="Admin">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.iduser}}
        </ng-template>
    </p-column>
    <p-column header="Approval 1 (Kasie)">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.id_app1}}
        </ng-template>
    </p-column>
    <p-column header="Approval 2 (Supervisor)">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.id_app2}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    (click)="lihatPO(rowData)" 
                    icon="fa-eye" pTooltip="Preview Detail Disposisi"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
    </p-dataTable>
    <p-dataTable
    [hidden]="(loginuser === 'MHD' || loginuser === 'ABR' || loginuser === 'AEN' || loginuser === 'ARW' || loginuser === 'DAW' || loginuser === 'EKS' || loginuser === 'HTB' ||
          loginuser === 'VER' || loginuser === 'RFL' || loginuser === 'NTO' || loginuser === 'MDR')"
    [value]="joborders"
    [(selection)]="selected"
    [editable]="true"
    [rows]="itemsPerPage"
    [headerCheckboxToggleAllPages]="true"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="no_bpb"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)">
    <p-header>
        <div class="d-flex flex-row-reverse">
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2">
                            <div class="btn-filter-wrapper">
                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Approve</span>
                                </button>
                                &nbsp;
                                &nbsp;
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </p-header>
    <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="BPB Number">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_bpb}}
        </ng-template>
    </p-column>
    <p-column header="BPB Date">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.tgl_bpb | date:'dd/MM/yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Mutation Type">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.jns_mutasi}}
        </ng-template>
    </p-column>
    <p-column header="Receive">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.diterima}}
        </ng-template>
    </p-column>
    <p-column header="Production Type">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.jns_prod}}
        </ng-template>
    </p-column>
    <p-column header="Admin">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.iduser}}
        </ng-template>
    </p-column>
    <p-column header="Approval 1 (Kasie)">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.id_app1}}
        </ng-template>
    </p-column>
    <p-column header="Approval 2 (Supervisor)">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.id_app2}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    (click)="lihatPO(rowData)" 
                    icon="fa-eye" pTooltip="Preview Detail Disposisi"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
    </p-dataTable>
</div>

<p-dialog header="Detail BPB" [(visible)]="modalLihatBpb" modal="true" [width]="1000" (onHide)="backapp()">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm" > 
        <div>
            <p-dataTable [value]="detailDisposisi" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_bpb" expandableRows="true"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                    <div class="d-flex flex-row-reverse">
                        <div class="nav-item">
                            <div>
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-70 mt-2">
                                        <div class="btn-filter-wrapper">
                                            <button (click)="createRequestAtDialogDetail()" type="button" class="btn btn-primary btn-filter">
                                                <span>Approved</span>
                                            </button>
                                            &nbsp;
                                            &nbsp;
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </p-header>
                </p-column>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Product Code">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_group}} {{rowData.kd_produk}}
                    </ng-template>
                </p-column>
                <p-column header="Product Name">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nm_produk}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="Unit">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Batch Number">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_batch}}
                    </ng-template>
                </p-column>
                <p-column header="Palet">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_palet}}
                    </ng-template>
                </p-column>
                <p-column header="Detail Batch">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_prod}}
                    </ng-template>
                </p-column>
                <p-column header="Exp Date">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_ub | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Palet Date">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_palet | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>
